---
 cobbler/api.py |    5 +----
 cobbler/cli.py |    2 --
 setup.py       |   16 +++++++++++++++-
 3 files changed, 16 insertions(+), 7 deletions(-)

diff --git a/cobbler/api.py b/cobbler/api.py
index ed838ae..2be03a0 100644
--- a/cobbler/api.py
+++ b/cobbler/api.py
@@ -211,13 +211,10 @@ class BootAPI:
          
         If extended == True, returns a dict:
 
-            gitstamp      -- the last git commit hash
-            gitdate       -- the last git commit date on the builder machine
-            builddate     -- the time of the build
             version       -- something like "1.3.2"
             version_tuple -- something like [ 1, 3, 2 ]
         """
-        fd = open("/var/lib/cobbler/version")
+        fd = open("/etc/cobbler/version")
         ydata = fd.read()
         fd.close()
         data = yaml.load(ydata)
diff --git a/cobbler/cli.py b/cobbler/cli.py
index b5cec0a..69759e9 100755
--- a/cobbler/cli.py
+++ b/cobbler/cli.py
@@ -348,8 +348,6 @@ class BootCLI:
         elif action_name == "version":
             version = self.remote.extended_version()
             print "Cobbler %s" % version["version"]
-            print "  source: %s, %s" % (version["gitstamp"], version["gitdate"])
-            print "  build time: %s" % version["builddate"]
 
         elif action_name == "hardlink":
             (options, args) = self.parser.parse_args()
diff --git a/setup.py b/setup.py
index d6dac25..e1c4e12 100644
--- a/setup.py
+++ b/setup.py
@@ -64,6 +64,20 @@ def gen_manpages():
 
 #####################################################################
 
+def gen_build_version():
+    """Generate cobbler version file. Currently used by cobbler_web
+    """
+
+    print("building cobbler version file")
+    fd = open('./config/version', "w+")
+    data = {
+        "version"       : VERSION,
+        "version_tuple" : [ int(x) for x in VERSION.split(".")]
+    }
+    fd.write(yaml.dump(data))
+    fd.close()
+
+#####################################################################
 
 #####################################################################
 ## Modify Build Stage  ##############################################
@@ -74,7 +88,7 @@ class build_py(_build_py):
 
     def run(self):
         gen_manpages()
-#        gen_build_version()
+        gen_build_version()
         _build_py.run(self)
 
 
-- 
1.6.5.1

